Bug 238181 - audio/libshout: Fails to build: multiple unknown type name/use of undeclared identifier errors
Summary: audio/libshout: Fails to build: multiple unknown type name/use of undeclared ...
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: needs-qa, regression
Depends on:
Blocks:
 
Reported: 2019-05-28 03:32 UTC by Jongsung Kim
Modified: 2019-06-15 18:16 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
portmaster -aD (43.64 KB, text/plain)
2019-05-29 02:47 UTC, Jongsung Kim
no flags Details
pkg version -v (39.96 KB, text/plain)
2019-05-29 02:48 UTC, Jongsung Kim
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jongsung Kim 2019-05-28 03:32:46 UTC
libshout-2.4.2 build failure while upgrading from libshout-2.4.1 using "portmaster -aD":

===>>> Starting build for ports that need updating <<<===

===>>> Launching child to install audio/libshout

===>>> All >> audio/libshout (1/1)

===>>> Currently installed version: libshout-2.4.1
===>>> Port directory: /usr/ports/audio/libshout

===>>> Starting check for build dependencies
===>>> Gathering dependency list for audio/libshout from ports
===>>> Dependency check complete for audio/libshout

===>>> All >> libshout-2.4.1 (1/1)

===>  Cleaning for libshout-2.4.2
===>  License LGPL20 accepted by the user
===>   libshout-2.4.2 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by libshout-2.4.2 for building
===>  Extracting for libshout-2.4.2
=> SHA256 Checksum OK for libshout-2.4.2.tar.gz.
===>  Patching for libshout-2.4.2
===>  Applying FreeBSD patches for libshout-2.4.2
===>   libshout-2.4.2 depends on executable: gmake - found
===>   libshout-2.4.2 depends on package: pkgconf>=1.3.0_1 - found
===>   libshout-2.4.2 depends on shared library: libogg.so - found (/usr/local/lib/libogg.so)
===>   libshout-2.4.2 depends on shared library: libvorbis.so - found (/usr/local/lib/libvorbis.so)
===>   libshout-2.4.2 depends on shared library: libspeex.so - found (/usr/local/lib/libspeex.so)
===>   libshout-2.4.2 depends on shared library: libtheora.so - found (/usr/local/lib/libtheora.so)
===>  Configuring for libshout-2.4.2
configure: loading site script /usr/ports/Templates/config.site
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... (cached) /bin/mkdir -p
checking for gawk... (cached) /usr/bin/awk
checking whether gmake sets $(MAKE)... yes
checking whether gmake supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking whether cc understands -c and -o together... yes
checking for style of include used by gmake... GNU
checking dependency style of cc... gcc3
checking build system type... amd64-portbld-freebsd12.0
checking host system type... amd64-portbld-freebsd12.0
checking how to print strings... printf
checking for a sed that does not truncate output... (cached) /usr/bin/sed
checking for grep that handles long lines and -e... (cached) /usr/bin/grep
checking for egrep... (cached) /usr/bin/egrep
checking for fgrep... (cached) /usr/bin/fgrep
checking for ld used by cc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/local/bin/nm -B
checking the name lister (/usr/local/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... (cached) 262144
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... no
checking how to convert amd64-portbld-freebsd12.0 file names to amd64-portbld-freebsd12.0 format... func_convert_file_noop
checking how to convert amd64-portbld-freebsd12.0 file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... no
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/local/bin/nm -B output from cc object... ok
checking for sysroot... no
checking for mt... mt
checking if mt is a manifest tool... no
checking how to run the C preprocessor... cpp
checking for ANSI C header files... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking for strings.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking for unistd.h... (cached) yes
checking for dlfcn.h... (cached) yes
checking for objdir... .libs
checking if cc supports -fno-rtti -fno-exceptions... yes
checking for cc option to produce PIC... -fPIC -DPIC
checking if cc PIC flag -fPIC -DPIC works... yes
checking if cc static flag -static works... yes
checking if cc supports -c -o file.o... yes
checking if cc supports -c -o file.o... (cached) yes
checking whether the cc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... freebsd12.0 ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for ANSI C header files... (cached) yes
checking whether time.h and sys/time.h may both be included... yes
checking for strings.h... (cached) yes
checking sys/timeb.h usability... yes
checking sys/timeb.h presence... yes
checking for sys/timeb.h... yes
checking for arpa/inet.h... (cached) yes
checking for stdarg.h... (cached) yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking for inttypes.h... (cached) yes
checking for uint32_t... yes
checking for gettimeofday... (cached) yes
checking for ftime... no
checking for strcasestr... (cached) yes
checking for library containing nanosleep... none required
checking for sys/socket.h... (cached) yes
checking for socklen_t... (cached) yes
checking for va_copy... va_copy
checking for sys/select.h... (cached) yes
checking for sys/uio.h... (cached) yes
checking winsock2.h usability... no
checking winsock2.h presence... no
checking for winsock2.h... no
checking for library containing sethostent... none required
checking for library containing getnameinfo... none required
checking for endhostent... yes
checking for getaddrinfo... (cached) yes
checking for inet_aton... (cached) yes
checking for writev... yes
checking for struct sockaddr_storage.ss_family... yes
checking for inet_pton... yes
checking for the pthreads library -lpthreads... no
checking whether pthreads work without any flags... no
checking whether pthreads work with -Kthread... no
checking whether pthreads work with -kthread... no
checking for the pthreads library -llthread... no
checking whether pthreads work with -pthread... yes
checking for joinable pthread attribute... PTHREAD_CREATE_JOINABLE
checking if more special flags are required for pthreads... -D_THREAD_SAFE
checking for pthread_spin_lock... yes
checking pkg-config is at least version 0.9.0... yes
checking for libogg... ok
checking for VORBIS... yes
checking for THEORA... yes
checking for SPEEX... yes
checking for pkg-config... yes
checking for pkg-config... /usr/local/bin/pkg-config
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating include/Makefile
config.status: creating include/shout/Makefile
config.status: creating include/shout/shout.h
config.status: creating src/Makefile
config.status: creating src/common/net/Makefile
config.status: creating src/common/timing/Makefile
config.status: creating src/common/thread/Makefile
config.status: creating src/common/avl/Makefile
config.status: creating src/common/httpp/Makefile
config.status: creating doc/Makefile
config.status: creating examples/Makefile
config.status: creating win32/Makefile
config.status: creating shout.pc
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
===>  Building for libshout-2.4.2
gmake[2]: Entering directory '/usr/ports/audio/libshout/work/libshout-2.4.2'
gmake  all-recursive
gmake[3]: Entering directory '/usr/ports/audio/libshout/work/libshout-2.4.2'
Making all in include
gmake[4]: Entering directory '/usr/ports/audio/libshout/work/libshout-2.4.2/include'
Making all in shout
gmake[5]: Entering directory '/usr/ports/audio/libshout/work/libshout-2.4.2/include/shout'
gmake[5]: Nothing to be done for 'all'.
gmake[5]: Leaving directory '/usr/ports/audio/libshout/work/libshout-2.4.2/include/shout'
gmake[5]: Entering directory '/usr/ports/audio/libshout/work/libshout-2.4.2/include'
gmake[5]: Nothing to be done for 'all-am'.
gmake[5]: Leaving directory '/usr/ports/audio/libshout/work/libshout-2.4.2/include'
gmake[4]: Leaving directory '/usr/ports/audio/libshout/work/libshout-2.4.2/include'
Making all in src
gmake[4]: Entering directory '/usr/ports/audio/libshout/work/libshout-2.4.2/src'
Making all in common/avl
gmake[5]: Entering directory '/usr/ports/audio/libshout/work/libshout-2.4.2/src/common/avl'
/bin/sh ../../../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I../../..  -I./..  -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -MT libiceavl_la-avl.lo -MD -MP -MF .deps/libiceavl_la-avl.Tpo -c -o libiceavl_la-avl.lo `test -f 'avl.c' || echo './'`avl.c
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../../.. -I./.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT libiceavl_la-avl.lo -MD -MP -MF .deps/libiceavl_la-avl.Tpo -c avl.c  -fPIC -DPIC -o .libs/libiceavl_la-avl.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../../.. -I./.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT libiceavl_la-avl.lo -MD -MP -MF .deps/libiceavl_la-avl.Tpo -c avl.c -o libiceavl_la-avl.o >/dev/null 2>&1
mv -f .deps/libiceavl_la-avl.Tpo .deps/libiceavl_la-avl.Plo
/bin/sh ../../../libtool  --tag=CC   --mode=link cc -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing   -lcrypto  -fstack-protector-strong  -o libiceavl.la  libiceavl_la-avl.lo  
libtool: link: ar cru .libs/libiceavl.a .libs/libiceavl_la-avl.o 
libtool: link: ranlib .libs/libiceavl.a
libtool: link: ( cd ".libs" && rm -f "libiceavl.la" && ln -s "../libiceavl.la" "libiceavl.la" )
gmake[5]: Leaving directory '/usr/ports/audio/libshout/work/libshout-2.4.2/src/common/avl'
Making all in common/net
gmake[5]: Entering directory '/usr/ports/audio/libshout/work/libshout-2.4.2/src/common/net'
/bin/sh ../../../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I../../..  -I./..  -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -MT libicenet_la-sock.lo -MD -MP -MF .deps/libicenet_la-sock.Tpo -c -o libicenet_la-sock.lo `test -f 'sock.c' || echo './'`sock.c
/bin/sh ../../../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I../../..  -I./..  -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -MT libicenet_la-resolver.lo -MD -MP -MF .deps/libicenet_la-resolver.Tpo -c -o libicenet_la-resolver.lo `test -f 'resolver.c' || echo './'`resolver.c
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../../.. -I./.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT libicenet_la-sock.lo -MD -MP -MF .deps/libicenet_la-sock.Tpo -c sock.c  -fPIC -DPIC -o .libs/libicenet_la-sock.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../../.. -I./.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT libicenet_la-resolver.lo -MD -MP -MF .deps/libicenet_la-resolver.Tpo -c resolver.c  -fPIC -DPIC -o .libs/libicenet_la-resolver.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../../.. -I./.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT libicenet_la-resolver.lo -MD -MP -MF .deps/libicenet_la-resolver.Tpo -c resolver.c -o libicenet_la-resolver.o >/dev/null 2>&1
mv -f .deps/libicenet_la-resolver.Tpo .deps/libicenet_la-resolver.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../../.. -I./.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT libicenet_la-sock.lo -MD -MP -MF .deps/libicenet_la-sock.Tpo -c sock.c -o libicenet_la-sock.o >/dev/null 2>&1
mv -f .deps/libicenet_la-sock.Tpo .deps/libicenet_la-sock.Plo
/bin/sh ../../../libtool  --tag=CC   --mode=link cc -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing   -lcrypto  -fstack-protector-strong  -o libicenet.la  libicenet_la-sock.lo libicenet_la-resolver.lo  
libtool: link: ar cru .libs/libicenet.a .libs/libicenet_la-sock.o .libs/libicenet_la-resolver.o 
libtool: link: ranlib .libs/libicenet.a
libtool: link: ( cd ".libs" && rm -f "libicenet.la" && ln -s "../libicenet.la" "libicenet.la" )
gmake[5]: Leaving directory '/usr/ports/audio/libshout/work/libshout-2.4.2/src/common/net'
Making all in common/timing
gmake[5]: Entering directory '/usr/ports/audio/libshout/work/libshout-2.4.2/src/common/timing'
/bin/sh ../../../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I../../..    -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -MT libicetiming_la-timing.lo -MD -MP -MF .deps/libicetiming_la-timing.Tpo -c -o libicetiming_la-timing.lo `test -f 'timing.c' || echo './'`timing.c
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../../.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT libicetiming_la-timing.lo -MD -MP -MF .deps/libicetiming_la-timing.Tpo -c timing.c  -fPIC -DPIC -o .libs/libicetiming_la-timing.o
In file included from timing.c:58:
/usr/include/sys/timeb.h:44:2: warning: "this file includes <sys/timeb.h> which
      is deprecated" [-W#warnings]
#warning "this file includes <sys/timeb.h> which is deprecated"
 ^
1 warning generated.
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../../.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT libicetiming_la-timing.lo -MD -MP -MF .deps/libicetiming_la-timing.Tpo -c timing.c -o libicetiming_la-timing.o >/dev/null 2>&1
mv -f .deps/libicetiming_la-timing.Tpo .deps/libicetiming_la-timing.Plo
/bin/sh ../../../libtool  --tag=CC   --mode=link cc -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing   -lcrypto  -fstack-protector-strong  -o libicetiming.la  libicetiming_la-timing.lo  
libtool: link: ar cru .libs/libicetiming.a .libs/libicetiming_la-timing.o 
libtool: link: ranlib .libs/libicetiming.a
libtool: link: ( cd ".libs" && rm -f "libicetiming.la" && ln -s "../libicetiming.la" "libicetiming.la" )
gmake[5]: Leaving directory '/usr/ports/audio/libshout/work/libshout-2.4.2/src/common/timing'
Making all in common/httpp
gmake[5]: Entering directory '/usr/ports/audio/libshout/work/libshout-2.4.2/src/common/httpp'
/bin/sh ../../../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I../../..  -I./..  -I/usr/local/include  -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -MT libicehttpp_la-httpp.lo -MD -MP -MF .deps/libicehttpp_la-httpp.Tpo -c -o libicehttpp_la-httpp.lo `test -f 'httpp.c' || echo './'`httpp.c
/bin/sh ../../../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I../../..  -I./..  -I/usr/local/include  -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -MT libicehttpp_la-encoding.lo -MD -MP -MF .deps/libicehttpp_la-encoding.Tpo -c -o libicehttpp_la-encoding.lo `test -f 'encoding.c' || echo './'`encoding.c
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../../.. -I./.. -I/usr/local/include -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT libicehttpp_la-httpp.lo -MD -MP -MF .deps/libicehttpp_la-httpp.Tpo -c httpp.c  -fPIC -DPIC -o .libs/libicehttpp_la-httpp.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../../.. -I./.. -I/usr/local/include -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT libicehttpp_la-encoding.lo -MD -MP -MF .deps/libicehttpp_la-encoding.Tpo -c encoding.c  -fPIC -DPIC -o .libs/libicehttpp_la-encoding.o
In file included from httpp.c:42:
./httpp.h:141:9: warning: 'httpp_destroy' macro redefined [-Wmacro-redefined]
#define httpp_destroy(x) httpp_release((x))
        ^
./httpp.h:115:10: note: previous definition is here
# define httpp_destroy _mangle(httpp_destroy)
         ^
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../../.. -I./.. -I/usr/local/include -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT libicehttpp_la-encoding.lo -MD -MP -MF .deps/libicehttpp_la-encoding.Tpo -c encoding.c -o libicehttpp_la-encoding.o >/dev/null 2>&1
1 warning generated.
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../../.. -I./.. -I/usr/local/include -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT libicehttpp_la-httpp.lo -MD -MP -MF .deps/libicehttpp_la-httpp.Tpo -c httpp.c -o libicehttpp_la-httpp.o >/dev/null 2>&1
mv -f .deps/libicehttpp_la-encoding.Tpo .deps/libicehttpp_la-encoding.Plo
mv -f .deps/libicehttpp_la-httpp.Tpo .deps/libicehttpp_la-httpp.Plo
/bin/sh ../../../libtool  --tag=CC   --mode=link cc -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing   -lcrypto  -fstack-protector-strong  -o libicehttpp.la  libicehttpp_la-httpp.lo libicehttpp_la-encoding.lo  
libtool: link: ar cru .libs/libicehttpp.a .libs/libicehttpp_la-httpp.o .libs/libicehttpp_la-encoding.o 
libtool: link: ranlib .libs/libicehttpp.a
libtool: link: ( cd ".libs" && rm -f "libicehttpp.la" && ln -s "../libicehttpp.la" "libicehttpp.la" )
gmake[5]: Leaving directory '/usr/ports/audio/libshout/work/libshout-2.4.2/src/common/httpp'
Making all in common/thread
gmake[5]: Entering directory '/usr/ports/audio/libshout/work/libshout-2.4.2/src/common/thread'
/bin/sh ../../../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I../../..  -I./..  -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -MT libicethread_la-thread.lo -MD -MP -MF .deps/libicethread_la-thread.Tpo -c -o libicethread_la-thread.lo `test -f 'thread.c' || echo './'`thread.c
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../../.. -I./.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT libicethread_la-thread.lo -MD -MP -MF .deps/libicethread_la-thread.Tpo -c thread.c  -fPIC -DPIC -o .libs/libicethread_la-thread.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../../.. -I./.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT libicethread_la-thread.lo -MD -MP -MF .deps/libicethread_la-thread.Tpo -c thread.c -o libicethread_la-thread.o >/dev/null 2>&1
mv -f .deps/libicethread_la-thread.Tpo .deps/libicethread_la-thread.Plo
/bin/sh ../../../libtool  --tag=CC   --mode=link cc -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing   -lcrypto  -fstack-protector-strong  -o libicethread.la  libicethread_la-thread.lo  
libtool: link: ar cru .libs/libicethread.a .libs/libicethread_la-thread.o 
libtool: link: ranlib .libs/libicethread.a
libtool: link: ( cd ".libs" && rm -f "libicethread.la" && ln -s "../libicethread.la" "libicethread.la" )
gmake[5]: Leaving directory '/usr/ports/audio/libshout/work/libshout-2.4.2/src/common/thread'
gmake[5]: Entering directory '/usr/ports/audio/libshout/work/libshout-2.4.2/src'
/bin/sh ../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I..    -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -I../include -I./common/ -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -MT shout.lo -MD -MP -MF .deps/shout.Tpo -c -o shout.lo shout.c
/bin/sh ../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I..    -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -I../include -I./common/ -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -MT util.lo -MD -MP -MF .deps/util.Tpo -c -o util.lo util.c
/bin/sh ../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I..    -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -I../include -I./common/ -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -MT queue.lo -MD -MP -MF .deps/queue.Tpo -c -o queue.lo queue.c
/bin/sh ../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I..    -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -I../include -I./common/ -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -MT connection.lo -MD -MP -MF .deps/connection.Tpo -c -o connection.lo connection.c
/bin/sh ../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I..    -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -I../include -I./common/ -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -MT proto_http.lo -MD -MP -MF .deps/proto_http.Tpo -c -o proto_http.lo proto_http.c
/bin/sh ../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I..    -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -I../include -I./common/ -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -MT proto_xaudiocast.lo -MD -MP -MF .deps/proto_xaudiocast.Tpo -c -o proto_xaudiocast.lo proto_xaudiocast.c
/bin/sh ../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I..    -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -I../include -I./common/ -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -MT proto_icy.lo -MD -MP -MF .deps/proto_icy.Tpo -c -o proto_icy.lo proto_icy.c
/bin/sh ../libtool  --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I..    -Wall -fsigned-char -pthread -D_THREAD_SAFE  -I/usr/local/include  -I../include -I./common/ -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -MT proto_roaraudio.lo -MD -MP -MF .deps/proto_roaraudio.Tpo -c -o proto_roaraudio.lo proto_roaraudio.c
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -I../include -I./common/ -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT shout.lo -MD -MP -MF .deps/shout.Tpo -c shout.c  -fPIC -DPIC -o .libs/shout.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -I../include -I./common/ -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT util.lo -MD -MP -MF .deps/util.Tpo -c util.c  -fPIC -DPIC -o .libs/util.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -I../include -I./common/ -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT connection.lo -MD -MP -MF .deps/connection.Tpo -c connection.c  -fPIC -DPIC -o .libs/connection.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -I../include -I./common/ -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT queue.lo -MD -MP -MF .deps/queue.Tpo -c queue.c  -fPIC -DPIC -o .libs/queue.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -I../include -I./common/ -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT proto_http.lo -MD -MP -MF .deps/proto_http.Tpo -c proto_http.c  -fPIC -DPIC -o .libs/proto_http.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -I../include -I./common/ -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT proto_icy.lo -MD -MP -MF .deps/proto_icy.Tpo -c proto_icy.c  -fPIC -DPIC -o .libs/proto_icy.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -I../include -I./common/ -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT proto_xaudiocast.lo -MD -MP -MF .deps/proto_xaudiocast.Tpo -c proto_xaudiocast.c  -fPIC -DPIC -o .libs/proto_xaudiocast.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -I../include -I./common/ -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT proto_roaraudio.lo -MD -MP -MF .deps/proto_roaraudio.Tpo -c proto_roaraudio.c  -fPIC -DPIC -o .libs/proto_roaraudio.o
In file included from shout.c:41:
./common/httpp/httpp.h:141:9: warning: 'httpp_destroy' macro redefined
      [-Wmacro-redefined]
#define httpp_destroy(x) httpp_release((x))
        ^
./common/httpp/httpp.h:115:10: note: previous definition is here
# define httpp_destroy _mangle(httpp_destroy)
         ^
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I.. -Wall -fsigned-char -pthread -D_THREAD_SAFE -I/usr/local/include -I../include -I./common/ -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -MT util.lo -MD -MP -MF .deps/util.Tpo -c util.c -o util.o >/dev/null 2>&1
In file included from queue.c:33:
./shout_private.h:164:69: error: unknown type name 'shout_event_t'; did you mean
      'shout_queue_t'?
  ...(*shout_connection_callback_t)(shout_connection_t *con, shout_event_t ev...
                                                             ^~~~~~~~~~~~~
                                                             shout_queue_t
./shout_private.h:93:3: note: 'shout_queue_t' declared here
} shout_queue_t;
  ^
In file included from proto_roaraudio.c:40:
./shout_private.h:164:69: error: unknown type name 'shout_event_t'; did you mean
      'shout_queue_t'?
  ...(*shout_connection_callback_t)(shout_connection_t *con, shout_event_t ev...
                                                             ^~~~~~~~~~~~~
                                                             shout_queue_t
./shout_private.h:93:3: note: In file included from shout.c:43:
./shout_private.h:164:69: error: unknown type name 'shout_event_t'; did you mean
      'shout_queue_t'?
'shout_queue_t' declared here  ...(*shout_connection_callback_t)(shout_connection_t *con, shout_event_t ev...
In file included from connection.c:39:
./shout_private.h} shout_queue_t;:
164:  ^69
: error: unknown type name 'shout_event_t'; did you mean
      'shout_queue_t'?

                                                             ^~~~~~~~~~~~~
  ...(*shout_connection_callback_t)(shout_connection_t *con, shout_event_t ev...
                                                             ^~~~~~~~~~~~~
                                                             shout_queue_t
./shout_private.h:93:3: note: 'shout_queue_t' declared In file included from hereproto_icy.c:
29:
./shout_private.h:164:69: error: } shout_queue_t;
unknown  ^ 
type name 'shout_event_t'; did you mean
      'shout_queue_t'?
                                                             shout_queue_tIn file included from proto_xaudiocast.c:32:
./shout_private.h:164:69: error: unknown type name 'shout_event_t'; did you mean
      'shout_queue_t'?

  ...(*shout_connection_callback_t)(shout_connection_t *con, shout_event_t ev...
                                                             ^~~~~~~~~~~~~
                                                             shout_queue_t
./shout_private.h:93:3: note: 'shout_queue_t' declared here
} shout_queue_t;
  ^
  ...(*shout_connection_callback_t)(shout_connection_t *con, shout_event_t ev...
                                                             ^~~~~~~~~~~~~
                                                             shout_queue_t
./shout_private.h:93:3: note: 'shout_queue_t' declared here
} shout_queue_t;
  ^
./shout_private.h:93:3: note: 'shout_queue_t' declared In file included from proto_http.c:36:
./shout_private.h:164:69: error: unknown type name 'shout_event_t'; did you mean
      'shout_queue_t'?
here
} shout_queue_t;
  ...(*shout_connection_callback_t)(shout_connection_t *con, shout_event_t ev...  ^

                                                             ^~~~~~~~~~~~~
                                                             shout_queue_t
./shout_private.h:93:3: note: 'shout_queue_t' declared here
} shout_queue_t;
  ^
./shout_private.h:229:5: error: unknown type name 'shout_callback_t'
    shout_callback_t callback;
    ^
./shout_private.h:229:5: error: unknown type name 'shout_callback_t'
    shout_callback_t callback;
    ^
./shout_private.h:229:5: error: unknown type name 'shout_callback_t'
./shout_private.h./shout_private.h:229    shout_callback_t callback;:
5:    ^ 
error: unknown type name 'shout_callback_t'
:    shout_callback_t callback;
    ^
229:5: error: unknown ./shout_private.h:229:5: error: unknown type name 'shout_callback_t'
type    shout_callback_t callback; name 'shout_callback_t'

    shout_callback_t callback;
    ^
    ^
./shout_private.h:229:5: error: unknown type name 'shout_callback_t'
    shout_callback_t callback;
    ^
./shout_private.h:291:71: error: unknown type name 'shout_control_t'; did you
      mean 'shout_connection_t'?
  ...shout_connection_control(shout_connection_t *con, shout_control_t contro...
                                                       ^~~~~~~~~~~~~~~
                                                       shout_connection_t
./shout_private.h:155:37: note: 'shout_connection_t' declared here
typedef struct shout_connection_tag shout_connection_t;
                                    ^
./shout_private.h:291:71: error: unknown type name 'shout_control_t'; did you
      mean 'shout_connection_t'?
./shout_private.h:291:71:   ...shout_connection_control(shout_connection_t *con, shout_control_t contro...
                                                       ^~~~~~~~~~~~~~~
                                                       shout_connection_t
./shout_private.h:155:37: note: 'shout_connection_t' declared here
./shout_private.h:291:71: error: unknown type name 'shout_control_t'; did you
      mean 'shout_connection_t'?
typedef struct shout_connection_tag shout_connection_t;
                                    ^
./shout_private.h:291:71: error: unknown type name 'shout_control_t'; did you
      mean 'shout_connection_t'?
error:   ...shout_connection_control(shout_connection_t *con, shout_control_t contro...
                                                       ^~~~~~~~~~~~~~~
                                                       shout_connection_t
./shout_private.h:291:71unknown./shout_private.h type name: 155'shout_control_t';: 37did:  you
      notemean:  'shout_connection_t'?'shout_connection_t' 
declared   ...shout_connection_control(shout_connection_t *con, shout_control_t contro...here

:                                                       ^~~~~~~~~~~~~~~
                                                       shout_connection_t
./shout_private.h:155:37: note: 'shout_connection_t' declared here
typedef struct shout_connection_tag shout_connection_t;
                                    ^
 typedef struct shout_connection_tag shout_connection_t;
                                    ^
  ...shout_connection_control(shout_connection_t *con, shout_control_t contro...
                                                       ^~~~~~~~~~~~~~~
                                                       shout_connection_t
./shout_private.h:155:37: note: 'shout_connection_t' declared here
typedef struct shout_connection_tag shout_connection_t;
                                    ^
error: unknown type name 'shout_control_t'; did you
      mean 'shout_connection_t'?
  ...shout_connection_control(shout_connection_t *con, shout_control_t contro...
                                                       ^~~~~~~~~~~~~~~
                                                       shout_connection_t
./shout_private.h:155:37: note: 'shout_connection_t' declared here
typedef struct shout_connection_tag shout_connection_t;
                                    ^
./shout_private.h:291:71: error: unknown type name 'shout_control_t'; did you
      mean 'shout_connection_t'?
  ...shout_connection_control(shout_connection_t *con, shout_control_t contro...
                                                       ^~~~~~~~~~~~~~~
                                                       shout_connection_t
./shout_private.h:155:37: note: 'shout_connection_t' declared here
typedef struct shout_connection_tag shout_connection_t;
                                    ^
./shout_private.h:295:55: error: unknown type name 'shout_event_t'; did you mean
      'shout_queue_t'?
typedef int (*shout_tls_callback_t)(shout_tls_t *tls, shout_event_t even...
                                                      ^~~~~~~~~~~~~
                                                      shout_queue_t
./shout_private.h:93:3: note: 'shout_queue_t' declared here
} shout_queue_t;
  ^
./shout_private.h:295:55: error: unknown type ./shout_private.h:name 'shout_event_t';./shout_private.h :did 295you: 55mean:
       'shout_queue_t'?error
: unknown type./shout_private.h :name295 :'shout_event_t';55 :did  you errormean: 
      'shout_queue_t'?unknown 
type name 'shout_event_t'; did you mean
      'shout_queue_t'?
295:55typedef int (*shout_tls_callback_t)(shout_tls_t *tls, shout_event_t even...: error: unknown type name 'shout_event_t'; did you mean
      'shout_queue_t'?
typedef int (*shout_tls_callback_t)(shout_tls_t *tls, shout_event_t even...
                                                      ^~~~~~~~~~~~~
                                                      shout_queue_t
typedef int (*shout_tls_callback_t)(shout_tls_t *tls, shout_event_t even...
./shout_private.h                                                      ^~~~~~~~~~~~~:
93:3                                                      shout_queue_t
:                                                      ^~~~~~~~~~~~~
                                                       shout_queue_t
note: 'shout_queue_t' declared ./shout_private.hhere:93
:3: note: 'shout_queue_t' declared here
} shout_queue_t;
  ^
} shout_queue_t;
  ^

typedef int (*shout_tls_callback_t)(shout_tls_t *tls, shout_event_t even...
                                                      ^~~~~~~~~~~~~
                                                      shout_queue_t
./shout_private.h:93:3: note: 'shout_queue_t' declared here
} shout_queue_t;
  ^
./shout_private.h:93:3: note: 'shout_queue_t' declared here
} shout_queue_t;
  ^
./shout_private.h:295:55: error: unknown type name 'shout_event_t'; did you mean
      'shout_queue_t'?4 errors generated.

typedef int (*shout_tls_callback_t)(shout_tls_t *tls, shout_event_t even...
                                                      ^~~~~~~~~~~~~
                                                      shout_queue_t
./shout_private.h:934:3: note: 'shout_queue_t' declared here
} shout_queue_t;
  ^
 errors generated.
./shout_private.h:295:55: error: unknown type name 'shout_event_t'; did you mean
      'shout_queue_t'?
typedef int (*shout_tls_callback_t)(shout_tls_t *tls, shout_event_t even...
                                                      ^~~~~~~~~~~~~
                                                      shout_queue_t
./shout_private.h:93:3: note: 'shout_queue_t' declared here
} shout_queue_t;
  ^
4 errors generated.
4 errors generated.
In file included from proto_http.c:37:
./common/httpp/httpp.h:141:9: warning: 'httpp_destroy' macro redefined
      [-Wmacro-redefined]
#define httpp_destroy(x) httpp_release((x))
        ^
./common/httpp/httpp.h:115:10: note: previous definition is here
# define httpp_destroy _mangle(httpp_destroy)
         ^
connection.c:42:52: error: unknown type name 'shout_event_t'; did you mean
      'shout_queue_t'?
static int shout_cb_tls_callback(shout_tls_t *tls, shout_event_t event, ...
                                                   ^~~~~~~~~~~~~
                                                   shout_queue_t
./shout_private.h:93:3: note: 'shout_queue_t' declared shout.c:55:66: error: unknown type name 'shout_event_t'; did you mean
      'shout_queue_t'?
here
} shout_queue_t;
  ^
  ...shout_cb_connection_callback(shout_connection_t *con, shout_event_t even...
                                                           ^~~~~~~~~~~~~
                                                           shout_queue_t
./shout_private.h:93:3: note: 'shout_queue_t' declared here
} shout_queue_t;
  ^
gmake[5]: *** [Makefile:548: queue.lo] Error 1
gmake[5]: *** Waiting for unfinished jobs....
gmake[5]: *** [Makefile:548: proto_xaudiocast.lo] Error 1
proto_http.c:525:20: warning: implicit declaration of function 'strcasestr' is
      invalid in C99 [-Wimplicit-function-declaration]
        if (tmp && strcasestr(tmp, "keep-alive")) {
                   ^
gmake[5]: *** [Makefile:548: proto_icy.lo] Error 1
2 warnings and 4 errors generated.
gmake[5]: *** [Makefile:548: proto_roaraudio.lo] Error 1
gmake[5]: *** [Makefile:548: proto_http.lo] Error 1
connection.c:47:16: error: use of undeclared identifier 'SHOUT_CALLBACK_PASS'
        return SHOUT_CALLBACK_PASS;
               ^
shout.c:1073:34: error: unknown type name 'shout_control_t'; did you mean
      'shout_connection_t'?
int shout_control(shout_t *self, shout_control_t control, ...)
                                 ^~~~~~~~~~~~~~~
                                 shout_connection_t
./shout_private.h:155:37: note: 'shout_connection_t' declared here
typedef struct shout_connection_tag shout_connection_t;
                                    ^
shout.c:1083:5: error: statement requires expression of integer type
      ('shout_connection_t' (aka 'struct shout_connection_tag') invalid)
    switch (control) {
    ^       ~~~~~~~
connection.c:155:13: warning: enumeration value 'SHOUT_SOCKSTATE_TLS_VERIFIED'
      not handled in switch [-Wswitch]
    switch (con->current_socket_state) {
            ^
connection.c:405:13: warning: enumeration value 'SHOUT_RS_DONE' not handled in
      switch [-Wswitch]
    switch (ret) {
            ^
connection.c:644:71: error: unknown type name 'shout_control_t'; did you mean
      'shout_connection_t'?
  ...shout_connection_control(shout_connection_t *con, shout_control_t contro...
                                                       ^~~~~~~~~~~~~~~
                                                       shout_connection_t
./shout_private.h:155:37: note: 'shout_connection_t' declared here
typedef struct shout_connection_tag shout_connection_t;
                                    ^
connection.c:654:5: error: statement requires expression of integer type
      ('shout_connection_t' (aka 'struct shout_connection_tag') invalid)
    switch (control) {
    ^       ~~~~~~~
shout.c:1085:14: error: use of undeclared identifier
      'SHOUT_CONTROL_GET_SERVER_CERTIFICATE_AS_PEM'
        case SHOUT_CONTROL_GET_SERVER_CERTIFICATE_AS_PEM:
             ^
mv -f .deps/util.Tpo .deps/util.Plo
connection.c:656:14: error: use of undeclared identifier
      'SHOUT_CONTROL_GET_SERVER_CERTIFICATE_AS_PEM'
        case SHOUT_CONTROL_GET_SERVER_CERTIFICATE_AS_PEM:
             ^
shout.c:1089:70: error: use of undeclared identifier
      'SHOUT_CONTROL_GET_SERVER_CERTIFICATE_AS_PEM'
  ...ret = shout_connection_control(self->connection, SHOUT_CONTROL_GET_SERVE...
                                                      ^
connection.c:678:14: error: use of undeclared identifier 'SHOUT_CONTROL__MIN'
        case SHOUT_CONTROL__MIN:
             ^
shout.c:1102:14: error: use of undeclared identifier 'SHOUT_CONTROL__MIN'
        case SHOUT_CONTROL__MIN:
             ^
connection.c:679:14: error: use of undeclared identifier 'SHOUT_CONTROL__MAX'
        case SHOUT_CONTROL__MAX:
             ^
2 warnings and 11 errors generated.
shout.c:1103:14: error: use of undeclared identifier 'SHOUT_CONTROL__MAX'
        case SHOUT_CONTROL__MAX:
             ^
gmake[5]: *** [Makefile:548: connection.lo] Error 1
shout.c:1112:39: error: unknown type name 'shout_callback_t'; did you mean
      'shout_tls_callback_t'?
int shout_set_callback(shout_t *self, shout_callback_t callback, void *userdata)
                                      ^~~~~~~~~~~~~~~~
                                      shout_tls_callback_t
./shout_private.h:295:15: note: 'shout_tls_callback_t' declared here
typedef int (*shout_tls_callback_t)(shout_tls_t *tls, shout_event_t even...
              ^
shout.c:1124:47: error: unknown type name 'shout_event_t'; did you mean
      'shout_queue_t'?
static int shout_call_callback(shout_t *self, shout_event_t event, ...)
                                              ^~~~~~~~~~~~~
                                              shout_queue_t
./shout_private.h:93:3: note: 'shout_queue_t' declared here
} shout_queue_t;
  ^
shout.c:1130:16: error: use of undeclared identifier 'SHOUT_CALLBACK_PASS'
        return SHOUT_CALLBACK_PASS;
               ^
shout.c:1138:66: error: unknown type name 'shout_event_t'; did you mean
      'shout_queue_t'?
  ...shout_cb_connection_callback(shout_connection_t *con, shout_event_t even...
                                                           ^~~~~~~~~~~~~
                                                           shout_queue_t
./shout_private.h:93:3: note: 'shout_queue_t' declared here
} shout_queue_t;
  ^
shout.c:1144:16: error: use of undeclared identifier 'SHOUT_CALLBACK_PASS'
        return SHOUT_CALLBACK_PASS;
               ^
shout.c:1146:5: error: statement requires expression of integer type
      ('shout_queue_t' invalid)
    switch (event) {
    ^       ~~~~~
shout.c:1147:14: error: use of undeclared identifier
      'SHOUT_EVENT_TLS_CHECK_PEER_CERTIFICATE'
        case SHOUT_EVENT_TLS_CHECK_PEER_CERTIFICATE:
             ^
shout.c:1150:14: error: use of undeclared identifier 'SHOUT_EVENT__MIN'
        case SHOUT_EVENT__MIN:
             ^
fatal error: too many errors emitted, stopping now [-ferror-limit=]
1 warning and 20 errors generated.
gmake[5]: *** [Makefile:548: shout.lo] Error 1
gmake[5]: Leaving directory '/usr/ports/audio/libshout/work/libshout-2.4.2/src'
gmake[4]: *** [Makefile:567: all-recursive] Error 1
gmake[4]: Leaving directory '/usr/ports/audio/libshout/work/libshout-2.4.2/src'
gmake[3]: *** [Makefile:559: all-recursive] Error 1
gmake[3]: Leaving directory '/usr/ports/audio/libshout/work/libshout-2.4.2'
gmake[2]: *** [Makefile:404: all] Error 2
gmake[2]: Leaving directory '/usr/ports/audio/libshout/work/libshout-2.4.2'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/audio/libshout
*** Error code 1

Stop.
make: stopped in /usr/ports/audio/libshout

===>>> make build failed for audio/libshout
===>>> Aborting update

===>>> Update for audio/libshout failed
===>>> Aborting update


===>>> You can restart from the point of failure with this command line:
       portmaster <flags> audio/libshout 

This command has been saved to /tmp/portmasterfail.txt
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-28 03:38:11 UTC
Thank you for your report Jongsung

Can you please provide:

- Exact system version (uname -a)
- Full build log (as an attachment)
- pkg version -v output (as an attachment)

Also, for future bug reports, please use attachments for large bodies of text, instead of pasting into comments, thanks!
Comment 2 Jongsung Kim 2019-05-29 02:47:48 UTC
Created attachment 204678 [details]
portmaster -aD
Comment 3 Jongsung Kim 2019-05-29 02:48:23 UTC
Created attachment 204679 [details]
pkg version -v
Comment 4 Jongsung Kim 2019-05-29 02:50:37 UTC
Sorry. It was my first try.

> Exact system version (uname -a)

# uname -a
FreeBSD TX1310M1 12.0-RELEASE-p3 FreeBSD 12.0-RELEASE-p3 GENERIC  amd64

> Full build log (as an attachment)
> pkg version -v output (as an attachment)

Attached.
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-05-31 13:34:26 UTC
Please deinstall and install instead of using portmaster.
Comment 6 Jongsung Kim 2019-06-02 04:06:19 UTC
make deinstall then make install worked.

We should use make instead of portmaster for libshout?
Comment 7 mark burdett 2019-06-04 16:30:07 UTC
strange - make build failed unless I ran make deinstall first.
Comment 8 Jongsung Kim 2019-06-11 11:57:05 UTC
This looks fixed from 2.4.3.
Comment 9 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-06-15 18:15:57 UTC
(In reply to Jongsung Kim from comment #6)

It depends. I do not use portmaster. According to the log above, portmaster builds new version when old version installed. It's not a clear environment. Sometimes there are conflicts among both versions, e.g. incompatible functions/headers. It would lead to build failure like this.